Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.webcommon30
Class UserDataConstraintTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.webcommon30.UserDataConstraintTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, UserDataConstraintType<T>

    public class UserDataConstraintTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, UserDataConstraintType<T>

This class implements the `user-data-constraintType` xsd type

Original Documentation:

The user-data-constraintType is used to indicate how
data communicated between the client and container should be
protected.
Used in: security-constraint

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`UserDataConstraintTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`UserDataConstraintTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`TransportGuaranteeType` | `getTransportGuarantee()` Returns the `transport-guarantee` element
`java.lang.String` | `getTransportGuaranteeAsString()` Returns the `transport-guarantee` element
`UserDataConstraintType<T>` | `removeAllDescription()` Removes the `description` element
`UserDataConstraintType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`UserDataConstraintType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`UserDataConstraintType<T>` | `setTransportGuarantee(java.lang.String transportGuarantee)` If not already created, a new `transport-guarantee` element with the given value will be created.
`UserDataConstraintType<T>` | `setTransportGuarantee(TransportGuaranteeType transportGuarantee)` If not already created, a new `transport-guarantee` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserDataConstraintTypeImpl

    public UserDataConstraintTypeImpl(T t,
                                      java.lang.String nodeName,
                                      org.jboss.shrinkwrap.descriptor.spi.Node node)

### UserDataConstraintTypeImpl

    public UserDataConstraintTypeImpl(T t,
                                      java.lang.String nodeName,
                                      org.jboss.shrinkwrap.descriptor.spi.Node node,
                                      org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public UserDataConstraintType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `UserDataConstraintType<T>`
  Returns:
    the current instance of `UserDataConstraintType`

### setDescriptionList

    public UserDataConstraintType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `UserDataConstraintType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `UserDataConstraintType`

### removeAllDescription

    public UserDataConstraintType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `UserDataConstraintType<T>`
  Returns:
    the current instance of `UserDataConstraintType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `UserDataConstraintType<T>`
  Returns:
    list of `description`

### setTransportGuarantee

    public UserDataConstraintType<T> setTransportGuarantee(TransportGuaranteeType transportGuarantee)

  If not already created, a new `transport-guarantee` element with the given value will be created. Otherwise, the existing `transport-guarantee` element will be updated with the given value.

  Specified by:
    `setTransportGuarantee` in interface `UserDataConstraintType<T>`
  Returns:
    the current instance of `UserDataConstraintType`

### setTransportGuarantee

    public UserDataConstraintType<T> setTransportGuarantee(java.lang.String transportGuarantee)

  If not already created, a new `transport-guarantee` element with the given value will be created. Otherwise, the existing `transport-guarantee` element will be updated with the given value.

  Specified by:
    `setTransportGuarantee` in interface `UserDataConstraintType<T>`
  Returns:
    the current instance of `UserDataConstraintType`

### getTransportGuarantee

    public TransportGuaranteeType getTransportGuarantee()

  Returns the `transport-guarantee` element

  Specified by:
    `getTransportGuarantee` in interface `UserDataConstraintType<T>`
  Returns:
    the node defined for the element `transport-guarantee`

### getTransportGuaranteeAsString

    public java.lang.String getTransportGuaranteeAsString()

  Returns the `transport-guarantee` element

  Specified by:
    `getTransportGuaranteeAsString` in interface `UserDataConstraintType<T>`
  Returns:
    the node defined for the element `transport-guarantee`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD